{% gtm product_impression: product %}

{% assign image_urls = product.images | map: 'url' | uniq %}
{% assign class_sold_out = '' %}

{% unless product.available %}
  {% assign class_sold_out = 'sold-out' %}
{% endunless %}

{% if product.discount_rule != null and product.discount_rule.type == 'percentage' %}
  {% assign discount_amount = product.discount_rule.amount %}
{% endif %}

{% assign show_qtd_selector = false %}
{% if mobile %}
  {% assign show_qtd_selector = true %}
{% endif %}

{% assign img_limit = 2 %}
{% if mobile %}
  {% assign img_limit = 1 %}
{% endif %}

{% unless imgs_without_lazy %}
  {% assign imgs_without_lazy = 0 %}
{% endunless %}

{% unless forloop_index %}
  {% assign forloop_index = 99 %}
{% endunless %}

{% assign customs_tag = product.tags | where: 'type', 'personalizacao' | first %}

{% comment %} Definição do modelo de compra rápida {% endcomment %}
{% comment %} Valores: hover/popup {% endcomment %}
{% comment %} Remover o data-attribute "data-quickview-type" por completo caso não utilize a compra rápida {% endcomment %}
{% assign quickview_type = 'popup' %}

{% comment %} ========== {% endcomment %}

<div class="product-block {{ class_sold_out }}" data-product-box="{{ product.id }}" data-quickview-type="{{ quickview_type }}">
  <div class="images">

    <a aria-label="Ir para o produto {{ product.name }}" href="{{ product.url }}">
      {% if image_urls.size > 0 %}
        <figure class="image -square">
          {% for image in image_urls limit: img_limit %}
            {% capture data_srcset %}
              {{ image | resize: '300x' }} 350w,
              {{ image | resize: '400x' }} 767w,
              {{ image | resize: '500x' }} 991w,
              {{ image | resize: '600x' }} 1440w,
              {{ image | resize: '800x' }} 1920w,
              {{ image }} 2000w
            {% endcapture %}
      
            {% capture data_sizes %}
              (max-width: 350px) 350px,
              (max-width: 767px) 767px,
              (max-width: 991px) 991px,
              (max-width: 1440px) 1440px,
              (max-width: 1920px) 1920px,
              (min-width: 1921px) 2000px
            {% endcapture %}

            {% if forloop_index <= imgs_without_lazy %}
              <img srcset="{{ data_srcset | strip_newlines | strip }}" sizes="{{ data_sizes | strip_newlines | strip }}" alt="Foto do produto {{ product.name }}"/>
            {% else %}
              <img class="lazy" loading="lazy" data-srcset="{{ data_srcset | strip_newlines | strip }}" sizes="{{ data_sizes | strip_newlines | strip }}" alt="Foto do produto {{ product.name }}"/>
            {% endif %}
          {% endfor %}
        </figure>
      {% endif %}

      {% render 'partials/components/flag', product: product %}

    </a>

    {% unless mobile %}
      {% if product.available and customs_tag == nil and quickview_type == 'popup' %}
        <button aria-label="Adicionar produto ao carrinho" class="button-default -outlined" data-open-popup-quickview type="button">
          <span class="text">COMPRAR</span>
        </button>
      {% elsif product.available and customs_tag %}
        <a aria-label="Ir para o produto {{ product.name }}" href="{{ product.url }}" class="button-default -outlined">
          <span class="text">Personalize</span>
        </a>
      {% elsif quickview_type == 'popup' %}
        <button aria-label="Produto indisponível" class="button-default -outlined -unavailable" data-open-popup-quickview type="button">
          <span class="text">PRODUTO INDISPONÍVEL</span>
        </button>
      {% endif %}
   {% endunless %}

  </div>

  <div class="description">
    <h3 class="name">
      <a aria-label="Ir para o produto {{ product.name }}" href="{{ product.url }}">
        {{ product.name }}
      </a>
    </h3>

    {% capture price_settings %}
      {
        "productId": {{ product.id }},
        "showInstallmentsWithoutInterest": true,
        "showInstallmentsWithInterest": false, 
        "mode": "short",
        "htmlTag": "p"
      }
    {% endcapture %}

    <div class="price-wrapper">
      <div class="product-price price {% if discount_amount %} -discount {% endif %}" data-was-processed="false" data-sku="" data-init-price='{{ price_settings }}' data-price="{{ product.price }}" data-discount-percent="{{ discount_amount | default: 0 }}"></div>
    </div>
  </div>

  {% if mobile %}
    {% if product.available and customs_tag == nil and quickview_type == 'popup' %}
      <button aria-label="Adicionar produto ao carrinho" class="button-default -outlined" data-open-popup-quickview type="button">
        <span class="text">COMPRAR</span>
      </button>
    {% elsif product.available and customs_tag %}
      <a aria-label="Ir para o produto {{ product.name }}" href="{{ product.url }}" class="button-default -outlined">
        <span class="text">Personalize</span>
      </a>
    {% elsif quickview_type == 'popup' %}
      <button aria-label="Produto indisponível" class="button-default -outlined -unavailable" data-open-popup-quickview type="button">
        <span class="text">PRODUTO INDISPONÍVEL</span>
      </button>
    {% endif %}
  {% endif %}

</div>
